View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
15097Bug reportsErgonomypublic2021-12-13 09:26
ReporterDenisChenu Assigned To 
PrioritynormalSeverityminor 
Status confirmedResolutionopen 
Product Version4.0.0-RC2 
Summary15097: Editing subquestion and answers is totally maladjustment
Description

See sreencast
Have the save button at top only make this really hard to update and edit subquestions and answers

With 3.0 and previous : answer and subquestion are at top : direclty inside the view : great
In 4.0: it's out of the windows like something not important , and you must scroll to edit it : bad

With 3.0 and previous : save are at top : bad with long list, OK for short list
In 4.0 : it's always out of windows : allways bad

Steps To Reproduce

See screencast

Additional Information

I already use 80% size in 3.0, better usage
But here even at 50% the button and top of the list are not on same page
Screen 1920x1080 / XFCE / Font : Sans regular 10.

TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build)4.0.0 github
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database type & versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Relationships

related to 17686 new Editing sub question more comllex than 3.X 
related to 17801 closedgabrieljenik No way to go to submit button in create group or quuestion form with keyboard 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

DenisChenu

DenisChenu

2019-08-01 15:27

developer  

markusfluer

markusfluer

2019-08-05 16:11

administrator   ~53108

I see the issues with the subquestion alignment. I will fix that.

For the arrangement of the settings, where would you have put it?
A separate screen for it is off the table. It needed to be integrated.

This felt to me like a natural position and the first tests we've made with a few of our customers show only positive comments.
A little scrolling doesn't hurt and most people don't bother about this, also you can use keyboard shortcuts to save (Ctrl+Shift+S) if you are in a hurry.

DenisChenu

DenisChenu

2019-08-05 16:58

developer   ~53115

Last edited: 2019-08-05 17:21

Maybe add an edit button just for answer or subquestions ?
And a save button too.

I mean : save and edit «Just this block»

When testing first : we test more simple answers (since sub question are broken at start) …

And Natural position of a save or submit button is After all the input …
https://www.formstack.com/templates or https://www.w3schools.com/html/html_forms.asp or https://www.jotform.com/form-templates/ etc …

A little scrolling It's NOT a little scrolling …

DenisChenu

DenisChenu

2020-02-13 15:47

developer   ~55961

@cdorin : since this old issue are never be resolved , set to markus.

See the screencast : A lot of go up/go down + a lot of extra button (for example : you can easily click on Overview when going up).

Issue History

Date Modified Username Field Change
2019-08-01 15:27 DenisChenu New Issue
2019-08-01 15:27 DenisChenu File Added: simplescreenrecorder-2019-08-01_15.15.32.webm
2019-08-01 17:06 jelo File Added: 20190801.MantisProductVersion.png
2019-08-01 17:12 DenisChenu File Added: Capture d’écran du 2019-08-01 17-10-42.png
2019-08-05 12:26 cdorin Assigned To => markusfluer
2019-08-05 12:26 cdorin Status new => assigned
2019-08-05 16:11 markusfluer Note Added: 53108
2019-08-05 16:11 markusfluer Status assigned => feedback
2019-08-05 16:58 DenisChenu Note Added: 53115
2019-08-05 16:58 DenisChenu Status feedback => assigned
2019-08-05 17:21 DenisChenu Note Edited: 53115
2020-02-13 15:45 DenisChenu Assigned To markusfluer => cdorin
2020-02-13 15:47 DenisChenu Note Added: 55961
2020-12-28 18:24 cdorin Assigned To cdorin =>
2020-12-28 18:24 cdorin Priority none => normal
2020-12-28 18:24 cdorin Status assigned => confirmed
2021-10-27 10:11 DenisChenu Relationship added related to 17686
2021-12-13 09:26 DenisChenu Relationship added related to 17801
2022-03-14 08:01 DenisChenu Bug heat 6 => 4
2022-03-14 08:01 DenisChenu File Deleted: 20190801.MantisProductVersion.png
2022-03-14 08:01 DenisChenu File Deleted: Capture d’écran du 2019-08-01 17-10-42.png